Subject: Re: [PATCH v4 09/10] config: add core.untrackedCache

From: Junio C Hamano <[email-masked]>
Date: Fri, 08 Jan 2016 11:43:24 -0800

Christian Couder <[email-masked]> writes:

> I just tried Duy's approach by moving into read_index_from() the code
> I had put in wt_status_collect_untracked() and it doesn't work because
> "git status" calls read_index_from() before calling
> git_default_core_config().

I didn't expect to (and didn't want to) see the configuration be
dead by git_default_core_config() in the first place, though.
I instead was expecting that it would be done through the caching
layer, e.g. by calling git_config_get_maybe_bool() interface when
read_index_from() wants to see if it needs to muck with the existing
(or missing) extension.